<<

# Bugzilla::Whine

- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Constructors
  - Accessors

# NAME

Bugzilla::Whine - A Whine event

# SYNOPSIS

     use Bugzilla::Whine;

     my $event = new Bugzilla::Whine($event_id);

     my $subject      = $event->subject;
     my $body         = $event->body;
     my $mailifnobugs = $event->mail_if_no_bugs;
     my $user         = $event->user;

# DESCRIPTION

This module exists to represent a whine event that has been saved to the database.

This is an implementation of Bugzilla::Object, and so has all the same methods available as Bugzilla::Object, in addition to what is documented below.

# METHODS

## Constructors

`new`

  Does not accept a bare `name` argument. Instead, accepts only an id.

  See also: "new" in Bugzilla::Object.

## Accessors

These return data about the object, without modifying the object.

`subject`

  Returns the subject of the whine event.

`body`

  Returns the body of the whine event.

`mail_if_no_bugs`

  Returns a numeric 1(`true`) or 0(`false`) to represent whether this whine event object is supposed to be mailed even if there are no bugs returned by the query.

`user`

  Returns the Bugzilla::User object for the owner of the Bugzilla::Whine event.

<<